VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig:

## Avaliable Methods
public method | get_targets ()
public method | set_port ()
public method | get_communities ()
public method | get_authentication ()
public method | set_loglevel ()
public method | set_engineid ()
public method | set_communities ()
public method | set_authentication ()
public method | set_notraps ()
public method | get_users ()
public method | get_syslocation ()
public method | new ()
public method | set_v3targets ()
public method | get_notraps ()
public method | get_v3targets ()
public method | get_engineid ()
public method | get_port ()
public method | set_targets ()
public method | set_syscontact ()
public method | get_remoteusers ()
public method | set_privacy ()
public method | set_remoteusers ()
public method | get_syscontact ()
public method | get_privacy ()
public method | set_syslocation ()
public method | get_loglevel ()
public method | set_users ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig` class Structure that defines the SNMP configuration, provided as input to set(), and never the result of get(). See SNMPConfigReadOnly. This structure is used to configure SNMP v1, v2c, and v3.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_authentication | ( |  | ) |

Gets the value of 'authentication' property.

Return values

  authentication | - The current value of the field. Set the default authentication protocol. Values can be none, MD5, or SHA1. SNMPAuthProto#

Code:
click to view
# Number of lines of code in get_authentication: 4
sub get_authentication {
my ($self, %args) = @_;
return $self->{'authentication'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_communities | ( |  | ) |

Gets the value of 'communities' property.

Return values

  communities | - The current value of the field. Set up to ten communities, each of no more than 64 characters long. The format is: community1[,community2,...]. This setting overwrites any previous settings. List#

Code:
click to view
# Number of lines of code in get_communities: 4
sub get_communities {
my ($self, %args) = @_;
return $self->{'communities'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_engineid | ( |  | ) |

Gets the value of 'engineid' property.

Return values

  engineid | - The current value of the field. Set SNMPv3 engine ID. The engine ID must contain 5 to 32 hexadecimal characters. "0x" and colon (:) are removed from the ID. String#

Code:
click to view
# Number of lines of code in get_engineid: 4
sub get_engineid {
my ($self, %args) = @_;
return $self->{'engineid'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_loglevel | ( |  | ) |

Gets the value of 'loglevel' property.

Return values

  loglevel | - The current value of the field. System Agent syslog logging level: debug|info|warning|error. String#

Code:
click to view
# Number of lines of code in get_loglevel: 4
sub get_loglevel {
my ($self, %args) = @_;
return $self->{'loglevel'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_notraps | ( |  | ) |

Gets the value of 'notraps' property.

Return values

  notraps | - The current value of the field. Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent. Use 'reset' to clear the setting. List#

Code:
click to view
# Number of lines of code in get_notraps: 4
sub get_notraps {
my ($self, %args) = @_;
return $self->{'notraps'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_port | ( |  | ) |

Gets the value of 'port' property.

Return values

  port | - The current value of the field. Set up a UDP port which the SNMP agent uses to listen on for polling requests. The default UDP port is 161. long#

Code:
click to view
# Number of lines of code in get_port: 4
sub get_port {
my ($self, %args) = @_;
return $self->{'port'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_privacy | ( |  | ) |

Gets the value of 'privacy' property.

Return values

  privacy | - The current value of the field. Set the default privacy protocol. Values: none or AES128. SNMPPrivProto#

Code:
click to view
# Number of lines of code in get_privacy: 4
sub get_privacy {
my ($self, %args) = @_;
return $self->{'privacy'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_remoteusers | ( |  | ) |

Gets the value of 'remoteusers' property.

Return values

  remoteusers | - The current value of the field. Set up to five inform user IDs. The format is: user/auth-proto/-|auth-hash/priv-proto/-|priv-hash/engine-id[,...]. Here, user must be maximum 32 characters long; auth-proto is none, MD5 or SHA1; priv-proto is none or AES; '-' indicates no hash; engine-id is a hexadecimal string '0x0-9a-f' and must be up to 32 characters long. List#

Code:
click to view
# Number of lines of code in get_remoteusers: 4
sub get_remoteusers {
my ($self, %args) = @_;
return $self->{'remoteusers'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_syscontact | ( |  | ) |

Gets the value of 'syscontact' property.

Return values

  syscontact | - The current value of the field. System contact string as presented in sysContact.0. Up to 255 characters long. String#

Code:
click to view
# Number of lines of code in get_syscontact: 4
sub get_syscontact {
my ($self, %args) = @_;
return $self->{'syscontact'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_syslocation | ( |  | ) |

Gets the value of 'syslocation' property.

Return values

  syslocation | - The current value of the field. System location string as presented in sysLocation.0. Up to 255 characters long. String#

Code:
click to view
# Number of lines of code in get_syslocation: 4
sub get_syslocation {
my ($self, %args) = @_;
return $self->{'syslocation'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_targets | ( |  | ) |

Gets the value of 'targets' property.

Return values

  targets | - The current value of the field. Set up to three targets to which to send SNMPv1 traps. The format is: ip-or-hostname[]/community[,...]. The default port is UDP 162. This setting overwrites any previous settings. List#

Code:
click to view
# Number of lines of code in get_targets: 4
sub get_targets {
my ($self, %args) = @_;
return $self->{'targets'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_users | ( |  | ) |

Gets the value of 'users' property.

Return values

  users | - The current value of the field. Set up to five local users. The format is: user/-|auth-hash/-|priv-hash/model[,...]. Here user is maximum 32 characters long; '-' indicates no hash; model is one of none, auth or priv. List#

Code:
click to view
# Number of lines of code in get_users: 4
sub get_users {
my ($self, %args) = @_;
return $self->{'users'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::get_v3targets | ( |  | ) |

Gets the value of 'v3targets' property.

Return values

  v3targets | - The current value of the field. Set up to three SNMPv3 notification targets. Format is: ip-or-hostname[]/remote-user/security-level/trap|inform[,...]. List#

Code:
click to view
# Number of lines of code in get_v3targets: 4
sub get_v3targets {
my ($self, %args) = @_;
return $self->{'v3targets'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 40
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{authentication} = $args{'authentication'};
$self->{communities} = $args{'communities'};
$self->{engineid} = $args{'engineid'};
$self->{loglevel} = $args{'loglevel'};
$self->{notraps} = $args{'notraps'};
$self->{port} = $args{'port'};
$self->{privacy} = $args{'privacy'};
$self->{remoteusers} = $args{'remoteusers'};
$self->{syscontact} = $args{'syscontact'};
$self->{syslocation} = $args{'syslocation'};
$self->{targets} = $args{'targets'};
$self->{users} = $args{'users'};
$self->{v3targets} = $args{'v3targets'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNMP_config');
$self->set_binding_field('key' => 'authentication', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Monitoring', 'type_name' => 'Snmp::SNMPAuthProto'));
$self->set_binding_field('key' => 'communities', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'engineid', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'loglevel', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'notraps', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'port', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'privacy', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Monitoring', 'type_name' => 'Snmp::SNMPPrivProto'));
$self->set_binding_field('key' => 'remoteusers', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'syscontact', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'syslocation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'targets', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'users', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'v3targets', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_authentication | ( |  | ) |

Sets the given value for 'authentication' property.

Parameters

  authentication | - New value for the field. Set the default authentication protocol. Values can be none, MD5, or SHA1.

Code:
click to view
# Number of lines of code in set_authentication: 5
sub set_authentication {
my ($self, %args) = @_;
$self->{'authentication'} = $args{'authentication'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_communities | ( |  | ) |

Sets the given value for 'communities' property.

Parameters

  communities | - New value for the field. Set up to ten communities, each of no more than 64 characters long. The format is: community1[,community2,...]. This setting overwrites any previous settings.

Code:
click to view
# Number of lines of code in set_communities: 5
sub set_communities {
my ($self, %args) = @_;
$self->{'communities'} = $args{'communities'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_engineid | ( |  | ) |

Sets the given value for 'engineid' property.

Parameters

  engineid | - New value for the field. Set SNMPv3 engine ID. The engine ID must contain 5 to 32 hexadecimal characters. "0x" and colon (:) are removed from the ID.

Code:
click to view
# Number of lines of code in set_engineid: 5
sub set_engineid {
my ($self, %args) = @_;
$self->{'engineid'} = $args{'engineid'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_loglevel | ( |  | ) |

Sets the given value for 'loglevel' property.

Parameters

  loglevel | - New value for the field. System Agent syslog logging level: debug|info|warning|error.

Code:
click to view
# Number of lines of code in set_loglevel: 5
sub set_loglevel {
my ($self, %args) = @_;
$self->{'loglevel'} = $args{'loglevel'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_notraps | ( |  | ) |

Sets the given value for 'notraps' property.

Parameters

  notraps | - New value for the field. Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent. Use 'reset' to clear the setting.

Code:
click to view
# Number of lines of code in set_notraps: 5
sub set_notraps {
my ($self, %args) = @_;
$self->{'notraps'} = $args{'notraps'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_port | ( |  | ) |

Sets the given value for 'port' property.

Parameters

  port | - New value for the field. Set up a UDP port which the SNMP agent uses to listen on for polling requests. The default UDP port is 161.

Code:
click to view
# Number of lines of code in set_port: 5
sub set_port {
my ($self, %args) = @_;
$self->{'port'} = $args{'port'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_privacy | ( |  | ) |

Sets the given value for 'privacy' property.

Parameters

  privacy | - New value for the field. Set the default privacy protocol. Values: none or AES128.

Code:
click to view
# Number of lines of code in set_privacy: 5
sub set_privacy {
my ($self, %args) = @_;
$self->{'privacy'} = $args{'privacy'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_remoteusers | ( |  | ) |

Sets the given value for 'remoteusers' property.

Parameters

  remoteusers | - New value for the field. Set up to five inform user IDs. The format is: user/auth-proto/-|auth-hash/priv-proto/-|priv-hash/engine-id[,...]. Here, user must be maximum 32 characters long; auth-proto is none, MD5 or SHA1; priv-proto is none or AES; '-' indicates no hash; engine-id is a hexadecimal string '0x0-9a-f' and must be up to 32 characters long.

Code:
click to view
# Number of lines of code in set_remoteusers: 5
sub set_remoteusers {
my ($self, %args) = @_;
$self->{'remoteusers'} = $args{'remoteusers'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_syscontact | ( |  | ) |

Sets the given value for 'syscontact' property.

Parameters

  syscontact | - New value for the field. System contact string as presented in sysContact.0. Up to 255 characters long.

Code:
click to view
# Number of lines of code in set_syscontact: 5
sub set_syscontact {
my ($self, %args) = @_;
$self->{'syscontact'} = $args{'syscontact'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_syslocation | ( |  | ) |

Sets the given value for 'syslocation' property.

Parameters

  syslocation | - New value for the field. System location string as presented in sysLocation.0. Up to 255 characters long.

Code:
click to view
# Number of lines of code in set_syslocation: 5
sub set_syslocation {
my ($self, %args) = @_;
$self->{'syslocation'} = $args{'syslocation'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_targets | ( |  | ) |

Sets the given value for 'targets' property.

Parameters

  targets | - New value for the field. Set up to three targets to which to send SNMPv1 traps. The format is: ip-or-hostname[]/community[,...]. The default port is UDP 162. This setting overwrites any previous settings.

Code:
click to view
# Number of lines of code in set_targets: 5
sub set_targets {
my ($self, %args) = @_;
$self->{'targets'} = $args{'targets'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_users | ( |  | ) |

Sets the given value for 'users' property.

Parameters

  users | - New value for the field. Set up to five local users. The format is: user/-|auth-hash/-|priv-hash/model[,...]. Here user is maximum 32 characters long; '-' indicates no hash; model is one of none, auth or priv.

Code:
click to view
# Number of lines of code in set_users: 5
sub set_users {
my ($self, %args) = @_;
$self->{'users'} = $args{'users'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig::set_v3targets | ( |  | ) |

Sets the given value for 'v3targets' property.

Parameters

  v3targets | - New value for the field. Set up to three SNMPv3 notification targets. Format is: ip-or-hostname[]/remote-user/security-level/trap|inform[,...].

Code:
click to view
# Number of lines of code in set_v3targets: 5
sub set_v3targets {
my ($self, %args) = @_;
$self->{'v3targets'} = $args{'v3targets'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm